LAT_SIG(8)

NAME
lat_sig - measure signal handling latencies

SYNOPSIS
lat_sig install|catch|prot <file>

DESCRIPTION
lat_sig measures the time to install or catch signals. It can also measure the time to handle a memory protection fault. lat_sig only requires the file argument when measuring protection fault latency.

OUTPUT
Output formats are like so:
Signal handler installation: 9.564 microseconds
Signal handler overhead: 33.484 microseconds
Protection fault: 11.925 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), sigaction(2), kill(2), mmap(2).